MOUNT(8)

NAME
mount - mount file systems

SYNOPSIS
mount [-adfpruvw] [-t ufs | lfs | external_type]
mount [-dfpruvw] special | node
mount [-dfpruvw] [-o options] [-t ufs | lfs | external_type] special node

DESCRIPTION
The mount command calls the mount(2) system call to prepare and graft a special device or the remote node (rhost:path) on to the file system tree at the point node. If either special or node are not provided, the appropriate information is taken from the fstab(5) file.

The system maintains a list of currently mounted file systems. If no arguments are given to mount, this list is printed.

The options are as follows:

-a  All the filesystems described in fstab(5) are mounted. Exceptions are those marked as ``noauto'' or are excluded by the -t flag (see below).

-d  Causes everything to be done except for the actual system call. This option is useful in conjunction with the -v flag to determine what the mount command is trying to do.

-f  Forces the revocation of write access when trying to downgrade a filesystem mount status from read-write to read-only. Also forces the R/W mount of an unclean filesystem (dangerous; use with caution).

-o  Options are specified with a -o flag followed by a comma separated string of options. The following options are available:

    async
        All I/O to the file system should be done asynchronously. This is a dangerous flag to set, and should not be used unless you are prepared to recreate the file system should your system crash.

    force
        The same as -f; forces the revocation of write access when trying to downgrade a filesystem mount status from read-write to read-only. Also forces the R/W mount of an unclean filesystem (dangerous; use with caution).

    noatime
        Do not update the file access time when reading from a file. This option is useful on filesystems where there are large numbers of files and performance is more critical than updating the file access time (which is rarely ever important). This option is currently only supported on local filesystems.

    noauto
        This filesystem should be skipped when mount is run with the -a flag.

    nodev
        Do not interpret character or block special devices on the file system. This option is useful for a server that has file systems containing special devices for architectures other than its own.

    noexec
        Do not allow execution of any binaries on the mounted file system. This option is useful for a server that has file systems containing binaries for architectures other than its own.

    nosuid
        Do not allow set-user-identifier or set-group-identifier bits to take effect. Note: this option is worthless if a public available suid or sgid wrapper like suidperl is installed on your system.

    rdonly
        The same as -r; mount the file system read-only (even the super-user may not write it).

    sync
        All I/O to the file system should be done synchronously.

    update
        The same as -u; indicate that the status of an already mounted file system should be changed.

    union
        Causes the namespace at the mount point to appear as the union of the mounted filesystem root and the existing directory. Lookups will be done in the mounted filesystem first. If those operations fail due to a non-existent file the underlying directory is then accessed. All creates are done in the mounted filesystem.

    Any additional options specific to a filesystem type that is not one of the internally known types (see the -t option) may be passed as a comma separated list; these options are distinguished by a leading “-” (dash). Options that take a value are specified using the syntax -option=value. For example, the mount command:

        mount -t mfs -o nosuid,-N,-s=4000 /dev/dk0b /tmp

    causes mount to execute the equivalent of:

        /sbin/mount_mfs -o nosuid -N -s 4000 /dev/dk0b /tmp

-p  Print mount information in fstab format. Implies also the -v option.

-r  The file system is to be mounted read-only. Mount the file system read-only (even the super-user may not write it). The same as the “rdonly” argument to the -o option.

-t ufs \*(Ba lfs \*(Ba external type
    The argument following the -t is used to indicate the file system type. The type ufs is the default. The -t option can be used to indicate that the actions should only be taken on filesystems of the specified type. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. For example, the mount command:

        mount -a -t nonfs,mfs

    mounts all filesystems except those of type NFS and MFS.

    If the type is not one of the internally known types, mount will attempt to execute a program in /sbin/mount_XXX where XXX is replaced by the type name. For example, nfs filesystems are mounted by the program /sbin/mount_nfs.

    Most filesystems will be dynamically loaded by their mount programs if not already present in the kernel, using the vfsload(3) subroutine. Because this mechanism requires writable temporary space, the filesystem type containing /tmp must be compiled into the kernel, and the filesystems containing /tmp and /usr/bin/ld must be listed in /etc/fstab before any filesystems which might be dynamically loaded.

-u  The -u flag indicates that the status of an already mounted file system should be changed. Any of the options discussed above (the -o option) may be changed; also a file system can be changed from read-only to read-write or vice versa. An attempt to change from read-write to read-only will fail if any files on the filesystem are currently open for writing unless the -f flag is also specified. The set of options is determined by first extracting the options for the file system from the fstab table, then applying any options specified by the -o argument, and finally applying the -r or -w option.

-v  Verbose mode.

-w  The file system object is to be read and write.

    The options specific to NFS filesystems are described in the mount_nfs(8) manual page.

FILES
/etc/fstab
    file system table

SEE ALSO
mount(2), vfsload(3), fstab(5), mount_cd9660(8), mount_fdesc(8), mount_kernfs(8), mount_lfs(8), mount_mfs(8), mount_msdos(8), mount_nfs(8), mount_null(8), mount_portal(8), mount_procfs(8), mount_umap(8), mount_union(8), umount(8)

BUGS
It is possible for a corrupted file system to cause a crash.

HISTORY
A mount command appeared in AT&T UNIX.